import { CosmWasmClient } from "@cosmjs/cosmwasm-stargate";
import { IndexedTx } from "@cosmjs/stargate";
import { Chain, ChainsConfig, Contracts, Network, VAA, WormholeCore, WormholeMessageId } from "@wormhole-foundation/connect-sdk";
import { AnyCosmwasmAddress, CosmwasmChains, CosmwasmPlatformType, CosmwasmUnsignedTransaction } from "@wormhole-foundation/connect-sdk-cosmwasm";
export declare class CosmwasmWormholeCore<N extends Network, C extends CosmwasmChains> implements WormholeCore<N, CosmwasmPlatformType, C> {
    readonly network: N;
    readonly chain: C;
    readonly rpc: CosmWasmClient;
    readonly contracts: Contracts;
    private coreAddress;
    private constructor();
    static fromRpc<N extends Network>(rpc: CosmWasmClient, config: ChainsConfig<N, CosmwasmPlatformType>): Promise<CosmwasmWormholeCore<N, CosmwasmChains>>;
    publishMessage(sender: AnyCosmwasmAddress, message: Uint8Array, nonce: number, consistencyLevel: number): AsyncGenerator<CosmwasmUnsignedTransaction<N, C>>;
    verifyMessage(sender: AnyCosmwasmAddress, vaa: VAA): AsyncGenerator<never, void, unknown>;
    parseTransaction(txid: string): Promise<WormholeMessageId[]>;
    static parseWormholeMessage(chain: Chain, coreAddress: string, tx: IndexedTx): WormholeMessageId;
}
//# sourceMappingURL=wormholeCore.d.ts.map